/* ESP8266_wifi_connect
 *  
 * Mintapélda a WiFi hálózatra történő kapcsolódásra
 * hálózati végpontként (station mód).
 * 
 * Forrás: https://arduino-esp8266.readthedocs.io/en/latest/esp8266wifi/readme.html
 * 
 */

#include <ESP8266WiFi.h>
const char* ssid = "your_SSID";
const char* password = "your_passwd";

void setup(void) {
  Serial.begin(115200);
  Serial.println();
  Serial.printf("Connecting to %s\n", ssid);
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.print("Connected, IP address: ");
  Serial.println(WiFi.localIP());
}

void loop() {}
